curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create"
payload = { "inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{interactionDateTime: 123, properties: {}, vid: 123}]})
};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Record attendance by contact ID and HubSpot ID
Registra la participación de múltiples contactos de HubSpot en un evento de marketing utilizando sus ID de contacto de HubSpot
Funciones adicionales:
- Añade un evento de la cronología a los contactos
Propiedades permitidas: Para el estado “asistir”:
- joinedAt
- leftAt
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El id interno del evento de marketing en HubSpot.
El valor del estado de asistencia. Puede ser "registrar", "asistir" o "cancelar"
Cuerpo
Lista de contactos de HubSpot para suscribir al evento de marketing
Show child attributes
Show child attributes
Respuesta
successful operation
Marca de tiempo que representa cuándo terminó de procesarse la solicitud
Show child attributes
Show child attributes
Marca de tiempo que representa cuándo comenzó a procesarse la solicitud
El estado de procesamiento de la solicitud
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Show child attributes
Resultado de la solicitud
Show child attributes
Show child attributes
El número de errores que se produjeron durante el procesamiento
Marca de tiempo que representa cuándo se hizo la solicitud